Summary:  The Mandriva Linux Control Center 
Name: drakconf
Version:  12.19.2
Release:  6
# get the source from our cvs repository (see
# http://www.mandrivalinux.com/en/cvs.php3)
Source0:  %name-%version.tar.lzma
Source1:  drakconf16.png
Source2:  drakconf32.png
Source3:  drakconf48.png
License:  GPLv2+
Group:    System/Configuration/Other
Url:      http://wiki.mandriva.com/en/ControlCenter
Obsoletes: DrakConf
Provides: DrakConf
BuildRequires: gettext intltool
BuildRequires: perl-MDK-Common-devel
BuildRequires: drakxtools-backend
Requires: mandriva-release, drakxtools >= 11.64
Requires: harddrake-ui > 10-12mdk, popt >= 1.6.4-24mdk, usermode
Requires: perl-Gtk2 >= 1.023-1mdk, perl-Gnome2-Vte
Requires: gtk+2.0 >= 2.2.0-3mdk, perl-MDK-Common => 1.0.4-16mdk
Suggests: drakfax, system-config-printer >= 1.0.4-4mdv, rpmdrake, transfugdrake, drakmenustyle, drakguard, draksnapshot
Suggests: mdkonline >= 2.77.19
#Requires: drakcronat >= 0.1.3-1mdk # currenly broken, actually waiting for gtk+-2.x port completion
Requires: userdrake => 1.2-1mdk
Requires: drakconf-icons = %version
Requires: drakx-net, drakx-kbd-mouse-x11
Conflicts: rpmdrake < 2.4-5mdk
# workaround rpm issues on updates (bad ordering relating to virtual packages?):
Requires: perl-Gtk2-WebKit
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch

%description
drakconf includes the Mandriva Linux Control Center which is an interface to 
multiple utilities from DrakXtools.

%package icons
Summary: Icons of the Mandriva Linux Control Center
Group:   Graphical desktop/Other
Conflicts: drakconf < 10.2-4mdk
Suggests: drakconf-kde4	

%description icons
This package hold icons of the Mandriva Linux Control Center used in
tools' banners.

%prep
%setup -q
%apply_patches

%build

%install
%makeinstall_std

(cd %{buildroot} ; find usr -type f -name "*.png"  -printf "/%%p\n") > images-big.list
perl -ni -e '/128/ ? print : print STDERR $_ ' images-big.list 2> images.list
cat images-big.list >> %name.lang

#remove not needing files
rm -rf %{buildroot}%{_datadir}/locale/*
rm -f  %{buildroot}%{_datadir}/mcc/progs.conf
rm -rf %{buildroot}%{_sysconfdir}
rm -rf %{buildroot}%{_bindir}
rm -rf %{buildroot}%{_sbindir}
rm -rf %{buildroot}%{_datadir}/applications/
rm -rf %{buildroot}%{perl_vendorlib}/
rm -f  %{buildroot}%{_datadir}/mcc/progs.conf

%files icons -f images.list
%defattr(-,root,root)
%{_datadir}/mcc/themes/default/*128.png
%dir %{_datadir}/mcc/themes/
%dir %{_datadir}/mcc/themes/default
%{_datadir}/mcc/themes/default/gtkrc


%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 12.19.2-6
+ Revision: ed87d73
- MassBuild#440: Increase release tag


